• Ошибка при авторизации на VSFTPD сервере (libgcc_s.so.1 must be installed for pthread_cancel to work) развернутом на Ubuntu server 14.04.5

    Развернув FTP-сервер VSFTPD (ссылка) на Ubuntu server 14.04.5 и настроив использование виртуальных пользователей на базе MySQL (ссылка), у меня при попытке подключения к FTP выдается вот такая ошибка: libgcc_s.so.1 must be installed for pthread_cancel to work.

    Данная ошибка вызвана недостатком доступной процессу виртуальной памяти. Лимит определяется в значении VSFTP_AS_LIMIT в файле defs.h.

    Увеличить значение VSFTP_AS_LIMIT можно пересобрав VSFTPD из исходников, с нужным нам значением и потом установить исправленную версию. Разберем ниже как это сделать.

    Читать далее…

    БесполезноСлабоватоПриемлемоОтличноПревосходно (Еще нет оценок)
    Загрузка...
  • Установка Squid 3.5.19 на Ubuntu 14.04.5 LTS с поддержкой HTTPS протокола

    Появилась необходимость на работе анализировать трафик интернета, с возможностью выставлять всякого рода запреты на пользование интернета сотрудникам и посещении сайтов как по HTTP протоколу, так и по HTTPS. Использовать будем для всех этих дел Squid 3.5.19 и развернут он будет на Ubuntu 14.04.5 LTS.

    Первым делом обновляем систему до актуального состояния

    Устанавливаем необходимые для сборки пакетов инструменты

    Устанавливаем зависимости для libecap и squid

    Читать далее…

    БесполезноСлабоватоПриемлемоОтличноПревосходно (7 голос(ов), в среднем: 4,71 из 5)
    Загрузка...
© IT-блог Жаконды All Rights Reserved.
Яндекс.Метрика